CoffeeScriptExtension (Gradle API 2.14.1)
Date: 2016-07-18

org.gradle.plugins.javascript.coffeescript

## Class CoffeeScriptExtension

- java.lang.Object
- - org.gradle.plugins.javascript.coffeescript.CoffeeScriptExtension

-     public class CoffeeScriptExtension
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_JS_DEPENDENCY_GROUP`
    `static String` | `DEFAULT_JS_DEPENDENCY_MODULE`
    `static String` | `DEFAULT_JS_DEPENDENCY_VERSION`
    `static String` | `JS_CONFIGURATION_NAME`
    `static String` | `NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoffeeScriptExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getJs()`
    `String` | `getVersion()`
    `void` | `setJs(FileCollection js)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_JS_DEPENDENCY_VERSION

          public static final String DEFAULT_JS_DEPENDENCY_VERSION

      See Also:
        Constant Field Values

    - #### DEFAULT_JS_DEPENDENCY_GROUP

          public static final String DEFAULT_JS_DEPENDENCY_GROUP

      See Also:
        Constant Field Values

    - #### DEFAULT_JS_DEPENDENCY_MODULE

          public static final String DEFAULT_JS_DEPENDENCY_MODULE

      See Also:
        Constant Field Values

    - #### JS_CONFIGURATION_NAME

          public static final String JS_CONFIGURATION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoffeeScriptExtension

          public CoffeeScriptExtension()

  - ### Method Detail

    - #### getJs

          public FileCollection getJs()

    - #### setJs

          public void setJs(FileCollection js)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)